# GstVulkanImageView

GstVulkanImageView is a wrapper around a `VkImageView` mostly for usage across element boundaries with GstVulkanImageMemory

## GstVulkanImageView

### Members

`parent` (GstMiniObject) –

the parent GstMiniObject

`device` (GstVulkanDevice *) –

the GstVulkanDevice

`image` (GstVulkanImageMemory *) –

the associated GstVulkanImageMemory for this view

`view` (VkImageView) –

the vulkan image view handle

`create_info` (VkImageViewCreateInfo) –

the creation information for this view

Since : 1.18

## GstVulkan.VulkanImageView

### Members

`parent` (Gst.MiniObject) –

the parent Gst.MiniObject

`device` (GstVulkan.VulkanDevice) –

the GstVulkan.VulkanDevice

`image` (GstVulkan.VulkanImageMemory) –

the associated GstVulkan.VulkanImageMemory for this view

`view` (Vulkan.ImageView) –

the vulkan image view handle

`create_info` (Vulkan.ImageViewCreateInfo) –

the creation information for this view

Since : 1.18

## GstVulkan.VulkanImageView

### Members

`parent` (Gst.MiniObject) –

the parent Gst.MiniObject

`device` (GstVulkan.VulkanDevice) –

the GstVulkan.VulkanDevice

`image` (GstVulkan.VulkanImageMemory) –

the associated GstVulkan.VulkanImageMemory for this view

`view` (Vulkan.ImageView) –

the vulkan image view handle

`create_info` (Vulkan.ImageViewCreateInfo) –

the creation information for this view

Since : 1.18

### Constructors

#### gst_vulkan_image_view_new

    GstVulkanImageView *
    gst_vulkan_image_view_new (GstVulkanImageMemory * image,
                               const VkImageViewCreateInfo* create_info)

Parameters:

`image` –

a GstVulkanImageMemory to create the new view from

`create_info` –

the creation information to create the view from

Returns ( [transfer: full]) –

A new GstVulkanImageView from image and create_info

Since : 1.18

#### GstVulkan.VulkanImageView.prototype.new

    function GstVulkan.VulkanImageView.prototype.new(image: GstVulkan.VulkanImageMemory, create_info: Vulkan.ImageViewCreateInfo): {
        // javascript wrapper for 'gst_vulkan_image_view_new'
    }

Parameters:

`image` (GstVulkan.VulkanImageMemory) –

a GstVulkan.VulkanImageMemory to create the new view from

`create_info` (Vulkan.ImageViewCreateInfo) –

the creation information to create the view from

Returns (GstVulkan.VulkanImageView) –

A new GstVulkan.VulkanImageView from image and create_info

Since : 1.18

#### GstVulkan.VulkanImageView.new

    def GstVulkan.VulkanImageView.new (image, create_info):
        #python wrapper for 'gst_vulkan_image_view_new'

Parameters:

`image` (GstVulkan.VulkanImageMemory) –

a GstVulkan.VulkanImageMemory to create the new view from

`create_info` (Vulkan.ImageViewCreateInfo) –

the creation information to create the view from

Returns (GstVulkan.VulkanImageView) –

A new GstVulkan.VulkanImageView from image and create_info

Since : 1.18

### Methods

#### gst_vulkan_image_view_ref

    GstVulkanImageView *
    gst_vulkan_image_view_ref (GstVulkanImageView * trash)

Increases the refcount of the given trash object by one.

Parameters:

`trash` –

a GstVulkanImageView.

Returns ( [transfer: full]) –

trash

Since : 1.18

## Constants

### GST_TYPE_VULKAN_IMAGE_VIEW

    #define GST_TYPE_VULKAN_IMAGE_VIEW (gst_vulkan_image_view_get_type())

Since : 1.18

The results of the search are